POSTGet Native Balance by Account

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/native/getNativeBalanceByAccount

Retrieves the native token balance held by a specific account. The token type may vary depending on the selected chain.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
accountAddressstringrequired

Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

Responses
ownerAddressstringrequired

A field representing the owner address.

balancestringrequired

A field representing the balance.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/native/getNativeBalanceByAccount" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "accountAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
}'
Response
Example · 200
{
  "ownerAddress": "string",
  "balance": "string"
}